package com.example.nuria.fesp_cyl.DataBase;

import android.net.Uri;
import android.provider.BaseColumns;

import java.sql.Date;


public class StatusContract {

    private static final String TAG = StatusContract.class.getSimpleName();

    // Metainformación de la base de datos
    public static final String DB_NAME = "feed.db";
    public static final int DB_VERSION = 18;
    public static final String TABLE = "noticia";
    public static final String TABLE_URL = "urls";
    public static final String DEFAULT_SORT = Column.ID + " ASC";
    public static final String DEFAULT_SORT_URL = ColumnUrls.IDURL + " ASC";

    public static final String AUTHORITY = "com.example.nuria.fesp_cyl.utils.StatusProvider";
    public static final Uri CONTENT_URI = Uri.parse("content://" + AUTHORITY + "/" + TABLE);
    public static final int STATUS_ITEM = 4;
    public static final int STATUS_DIR = 2;

    public static final String AUTHORITY_URL = "com.example.nuria.fesp_cyl.utils.UrlsProvider";
    public static final Uri CONTENT_URI_URL = Uri.parse("content://" + AUTHORITY_URL + "/" + TABLE_URL);
    public static final int STATUS_ITEM_URL = 1;
    public static final int STATUS_DIR_URL = 3;

    // Campos de la tabla noticia
    public static class Column {
        public static final String ID = BaseColumns._ID;
        public static final String TITULO = "titulo";
        public static final String DESCRIPCION = "descripcion";
        public static final String URL = "url";
        public static final String FECHA = "fecha";
        public static final String CATEGORIA = "categoria";
    }

    // Campos de la tabla noticia
    public static class ColumnUrls{
        public static final String IDURL = "idurl";
        public static final String URLCAT = "urlCategoria";
        public static final String CAT = "cat";
    }

}